
unsigned char font[304]={
0x7e,0xff,0xc3,0xc3,0xff,0xff,0xc3,0xc3,//a
0xfc,0xfe,0xc6,0xfc,0xfc,0xc6,0xfe,0xfc,//b
0x7e,0xfe,0xc0,0xc0,0xc0,0xc0,0xfe,0x7e,//c
0xfc,0xfe,0xc6,0xc6,0xc6,0xc6,0xfe,0xfc,//d
0x7e,0xfe,0xc0,0xf8,0xf8,0xc0,0xfe,0x7e,//e
0xfe,0xfe,0xc0,0xf8,0xf8,0xc0,0xc0,0xc0,//f
0x7e,0xfe,0xc0,0xce,0xce,0xc6,0xfe,0x7e,//g
0xc3,0xc3,0xc3,0xff,0xff,0xc3,0xc3,0xc3,//h
0xff,0xff,0x18,0x18,0x18,0x18,0xff,0xff,//i
0xff,0xff,0x18,0x18,0x18,0xd8,0xf8,0x70,//j
0xce,0xdc,0xf8,0xf0,0xf0,0xf8,0xdc,0xce,//k
0xc0,0xc0,0xc0,0xc0,0xc0,0xc0,0xfc,0xfc,//l
0xc3,0xe7,0xff,0xff,0xdb,0xc3,0xc3,0xc3,//m
0xc3,0xe3,0xf3,0xfb,0xdf,0xcf,0xc7,0xc3,//n
0x7e,0xff,0xc3,0xc3,0xc3,0xc3,0xff,0x7e,//o
0xfc,0xfe,0xc6,0xfe,0xfc,0xc0,0xc0,0xc0,//p
0x7e,0xff,0xc3,0xc3,0xc7,0xce,0xff,0x7b,//q
0xfc,0xfe,0xc6,0xfe,0xfc,0xf8,0xdc,0xce,//r
0x7f,0xff,0xc0,0xfe,0x7f,0x03,0xff,0xfe,//s
0xff,0xff,0x18,0x18,0x18,0x18,0x18,0x18,//t
0xc3,0xc3,0xc3,0xc3,0xc3,0xc3,0xff,0x7e,//u
0xc3,0xc3,0xc3,0x66,0x66,0x3c,0x3c,0x18,//v
0xc3,0xc3,0xc3,0xdb,0xff,0xff,0xe7,0xc3,//w
0xc3,0xe7,0x7e,0x3c,0x3c,0x7e,0xe7,0xc3,//x
0x81,0xc3,0xe7,0x7e,0x3c,0x18,0x18,0x18,//y
0xff,0xff,0x0e,0x1c,0x38,0x70,0xff,0xff,//z
0x78,0xfc,0xcc,0xcc,0xcc,0xcc,0xfc,0x78,//0
0xc0,0xc0,0xc0,0xc0,0xc0,0xc0,0xc0,0xc0,//1
0x78,0xfc,0xcc,0x1c,0x38,0x70,0xfc,0xfc,//2
0x78,0xfc,0xcc,0x18,0x18,0xcc,0xfc,0x78,//3
0x1c,0x3c,0x6c,0xcc,0xfe,0xfe,0x0c,0x0c,//4
0xfc,0xfc,0xc0,0xf8,0xfc,0x0c,0xfc,0xf8,//5
0x1c,0x38,0x70,0xf8,0xfc,0xcc,0xfc,0x78,//6
0xfc,0xfc,0x18,0x18,0x30,0x30,0x60,0x60,//7
0x78,0xfc,0xcc,0x78,0x78,0xcc,0xfc,0x78,//8
0x78,0xfc,0xcc,0xfc,0x7c,0x38,0x70,0xe0,//9
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xC0,//.
0x00,0x00,0xC0,0xC0,0x00,0x00,0xC0,0xC0};//:

//										 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z 0 1 2 3 4 5 6 7 8 9 . :
char widths_table[38]={9,8,8,8,8,8,8,9,9,9,8,7,9,9,9,8,9,9,9,9,9,9,9,9,9,9,7,3,7,7,8,7,7,7,7,7,3,3};

void DisplayLetter(int x,int y, unsigned char *sprite,char color){
	Neo_Sprite8m(x,y,8,sprite,virtual1);
	Neo_Sprite8m(x,y,8,sprite,virtual1);
	if(color==1||color==3) Neo_Sprite8(x,y,8,sprite,virtual1);
	if(color==2||color==3) Neo_Sprite8(x,y,8,sprite,virtual2);
}



void DisplaySpriteString(int x,int y,unsigned char *string, char color){
	unsigned int i;
	for(i=0;i<strlen(string);i++) {
		/*  Displays a letter */
		if(string[i]>=65&&string[i]<=90) string[i]+=32;
		if(string[i]>=97&&string[i]<=122){
			DisplayLetter(x,y,font+(string[i]-97)*8,color);
			x+=widths_table[(string[i]-97)];}
		/* Displays a number */
		if(string[i]>=48&&string[i]<=57){
			DisplayLetter(x,y,font+(string[i]-48)*8+208,color);
			x+=widths_table[(string[i]-48)+26];}
		/* Displays punctuation */
		if(string[i]=='.') {DisplayLetter(x,y,font+288,color); x+=widths_table[36];}
		if(string[i]==':') {DisplayLetter(x,y,font+296,color); x+=widths_table[37];}
		/* Space */
		if(string[i]==' ') x+=6;
  }
}


void text(int y,unsigned char *string, char color){
  unsigned int x=0,i;
	for(i=0;i<strlen(string);i++) {
		if(string[i]>=65&&string[i]<=90) string[i]+=32;
		if(string[i]>=97&&string[i]<=122) x+=widths_table[(string[i]-97)];
		if(string[i]>=48&&string[i]<=57) x+=widths_table[(string[i]-48)+26];
		if(string[i]=='.') x+=widths_table[36];
		if(string[i]==':') x+=widths_table[37];
		if(string[i]==' ') x+=6;}
  DisplaySpriteString(80-x/2,y,string,color);
}
